# nix-shell -p [ (python3Full.withPackages(ps: with ps; [ pip ])) gfortran zlib]

with import <nixpkgs> {};

stdenv.mkDerivation {
  name = "python-env-petsc";

  nativeBuildInputs = [ m4 removeReferencesTo ];
  buildInputs = [ (python3Full.withPackages(ps: with ps; [ pip ])) 
    gfortran 
    zlib
    gcc 
  ];
  dontAddPrefix=true;

  env.LD_LIBRARY_PATH = zlib + "/lib:" + stdenv.cc.cc.lib + "/lib";
}

